uniform sampler3D NoiseTex;
uniform float NoiseTexTime;
uniform vec2 Scroll;

varying float ViewDepth;
varying vec4 Color;
varying vec2 TexCoord;

void main()
{
	float Fade = 1.0;
	if (ViewDepth > -10.0) Fade = ViewDepth / -10.0;
	gl_FragData[0] = texture3D(NoiseTex, vec3(TexCoord + Scroll, NoiseTexTime)) * Color * Fade;
}
